Petit souci penible avec Virtual Box

Le
Stephane Ascoet
Bonjour, Virtual Box fonctionne sur ma Debian 7.7 du travail grace au
paquet destine a cette version disponible sur le site Web de Virtual
Box(helas il n'est pas compatible avec un de nos serveurs WDS), mais
apres avoir redemarre le systeme, j'ai eu la mauvaise surprise de
constater qu'il fallait relancer vboxconfig pour que les VMs soient
utilisables. Apparemment un ou plusieurs modules ne demarre(nt) pas
automatiquement lors du lancement de Debian GNU/Linux. J'ai deja pose le
probleme il y a plusieurs semaines sur
<http://www.linuxquestions.org/questions/linux-virtualization-and-cloud-90/virtualbox-asks-me-to-run-vboxconfig-each-time-4175600411/>
sans que j'arrive a resoudre le probleme, saurez-vous faire mieux, o
gourous de Debian?
--
Bien cordialement, Stephane Ascoet
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
debheal
Le #26431891
On Thu, 13 Apr 2017 09:53:27 +0200
Stephane Ascoet
Bonjour, Virtual Box fonctionne sur ma Debian 7.7 du travail grace au
paquet destine a cette version disponible sur le site Web de Virtual
Box(helas il n'est pas compatible avec un de nos serveurs WDS), mais
apres avoir redemarre le systeme, j'ai eu la mauvaise surprise de
constater qu'il fallait relancer vboxconfig pour que les VMs soient
utilisables. Apparemment un ou plusieurs modules ne demarre(nt) pas
automatiquement lors du lancement de Debian GNU/Linux. J'ai deja pose le
probleme il y a plusieurs semaines sur
sans que j'arrive a resoudre le probleme, saurez-vous faire mieux, o
gourous de Debian?
--
Bien cordialement, Stephane Ascoet

Bonjour, Bonjour la liste aussi, que je li régulièrement, qui ne ma pas croisé depuis..longtemps
Sans être gourou, faut pas abuser! mais après avoir lu les messages sur linuxquestions.org, je vais essayer comprendre et de clarifier le problème :
WDS ? [1]
Debian 7.7 (Wheezy) est t'elle à jour ? La dernière update étant la 7: 7.11 [2]
Ce message : [3]
signifie que vous avais installé virtualbox-5.1 5.1.14 à partir du site virtualbox.org,version qui est pas, officiellement, supporté par Wheezy.[4] Le paquet ainsi installé; il faudrait résoudre des problèmes de dépendance à la main ce que je déconseillerai.
Le paquet virtualbox 4.1.42-dfsg-1+deb7u1 est celui qui correspond à votre distribution wheezy (oldstable).
Donc la réponse du message [3], de déinstaller la 5.1 et de remettre la 4.1.42 (officiel) est la même que je ferai, pour que le système marche rapidement. En plus virtualbox-qt 4.1.42 est prévu pour lui.
Pour les modules c'est virtualbox-dkms 4.1.42-dfsg-1+deb7u1
Maintenant, je comprend la démarche de passer à une version plus récente de Virtualbox.
Mais prendre la 5.1 de Virtualbox.org et venir la coller dans une pauvre Wheezy, oldstable de surcrois elle n'a pas du bien comprendre ce qui lui arrivé dessus :)
Alors, migrer, upgrader ?... la liste est bien là [4] et la version la plus proche que vous vouliez installer est la 5.1.18-dfsg-1 en sid (unstable) !! mieux vaut revenir en arriere ou de bien réfléchir avant de faire un dist-upgrade et de tout casser. Ou plutôt faire les choses en douceur : wheezy-backports ou jessie..
Finalement, quel est le but de la manœuvre ?
Pauvre wheezy... paF! voila un truc de l'espace ! =)
[1] https://fr.wikipedia.org/wiki/Windows_Deployment_Services
[2] https://lists.debian.org/debian-announce/2016/msg00006.html
[3] http://www.linuxquestions.org/questions/linux-virtualization-and-cloud-90/virtualbox-asks-me-to-run-vboxconfig-each-time-4175600411/page2.html#post5686651
[4] https://packages.debian.org/search?keywords=virtualbox&searchon=names&suite=all&section=all
--
débianement
Nicolas Pétillon
VieuxGeek DuSystem
Le #26431892
--001a114e335422ac07054d0e5b35
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
Bonjour
Je t’avouerais qu'il manque énormément de détails da ns ton problème, un peu
plus d'info te permettrais d'avoir un peu plus de réponse...
Mais bon je me lance, ma question : as tu activé la virtualisation dan s ton
bios?
Cordialement
Stéphane
Le 13 avril 2017 à 09:53, Stephane Ascoet a écrit :
Bonjour, Virtual Box fonctionne sur ma Debian 7.7 du travail grace au
paquet destine a cette version disponible sur le site Web de Virtual
Box(helas il n'est pas compatible avec un de nos serveurs WDS), mais apre s
avoir redemarre le systeme, j'ai eu la mauvaise surprise de constater qu' il
fallait relancer vboxconfig pour que les VMs soient utilisables.
Apparemment un ou plusieurs modules ne demarre(nt) pas automatiquement lo rs
du lancement de Debian GNU/Linux. J'ai deja pose le probleme il y a
plusieurs semaines sur <http://www.linuxquestions.org
/questions/linux-virtualization-and-cloud-90/virtualbox-
asks-me-to-run-vboxconfig-each-time-4175600411/> sans que j'arrive a
resoudre le probleme, saurez-vous faire mieux, o gourous de Debian?
--
Bien cordialement, Stephane Ascoet


--001a114e335422ac07054d0e5b35
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
-- <br>
Bien cordialement, Stephane Ascoet<br>
<br>
</font></span></div><br></div>
--001a114e335422ac07054d0e5b35--
Stephane Ascoet
Le #26431929
Le 13/04/2017 17:55, VieuxGeek DuSystem a écrit :
Mais bon je me lance, ma question : as tu activé la virtualisation dans ton
bios?

Bonjour, oui bien sur, VirtualBox fonctionne, c'est juste qu'a chaque
demarrage du systeme il faut refaire un vboxconfig, c'est long et penible.
--
Bien cordialement, Stephane Ascoet
Stephane Ascoet
Le #26431941
Le 13/04/2017 17:57, debheal a écrit :
WDS ? [1]

Bonjour, oui, nous utilisons uniquement ce systeme pour nos
installations de window$ NT a l'universite. Nous avons deux serveurs: le
plus ancien fonctionne avec les versions recentes de Virtualbox(d'ou
l'installation d'une de celles-ci), le plus recent non.
Debian 7.7 (Wheezy) est t'elle à jour ? La dernière update étant la 7: 7.11 [2]

Fait
Ce message : [3]
signifie que vous avais installé virtualbox-5.1 5.1.14 à partir du site virtualbox.org,version qui est pas, officiellement, supporté par Wheezy.[4] Le paquet ainsi installé; il faudrait résoudre des problèmes de dépendance à la main ce que je déconseillerai.

Le paquet virtualbox 4.1.42-dfsg-1+deb7u1 est celui qui correspond à votre distribution wheezy (oldstable).
Donc la réponse du message [3], de déinstaller la 5.1 et de remettre la 4.1.42 (officiel) est la même que je ferai, pour que le système marche rapidement. En plus virtualbox-qt 4.1.42 est prévu pour lui.
Pour les modules c'est virtualbox-dkms 4.1.42-dfsg-1+deb7u1
Maintenant, je comprend la démarche de passer à une version plus récente de Virtualbox.
Mais prendre la 5.1 de Virtualbox.org et venir la coller dans une pauvre Wheezy, oldstable de surcrois elle n'a pas du bien comprendre ce qui lui arrivé dessus :)

Non, il n'y a pas de souci, c'est un paquet fait par les equipes adaptes
a Wheezy.
Alors, migrer, upgrader ?... la liste est bien là [4] et la version la plus proche que vous vouliez installer est la 5.1.18-dfsg-1 en sid (unstable) !! mieux vaut revenir en arriere ou de bien réfléchir avant de faire un dist-upgrade et de tout casser. Ou plutôt faire les choses en douceur : wheezy-backports ou jessie..
Finalement, quel est le but de la manœuvre ?

Pas sur de tout comprendre mais en tous cas je ne peux pas me permettre
de passer en stable actuelle comme ca sur ce poste qui est celui de mon
travail et qui doit etre fonctionnel a tout moment avec mes parametres
bien precis, surtout avec le passage a Systemd et autres joyeusetes.
D'ou l'interet d'avoir un Virtualbox performant pour faire des tests
intensifs avant. Deja la j'ai peur avec le passage en 7.7.11, je vois
qu'il m'a remplace Iceweasel par Firefox, j'ai peur de ce que je vais
decouvrir :-(


--
Bien cordialement, Stephane Ascoet
debheal
Le #26432168
Bonjour, oui, nous utilisons uniquement ce systeme pour nos
installations de window$ NT a l'universite. Nous avons deux serveurs: le
plus ancien fonctionne avec les versions recentes de Virtualbox(d'ou
l'installation d'une de celles-ci), le plus recent non.

Il maquerait certaines informations j'essaye de décrypter :
Il y a 2 serveurs qui font tourner WDS (Services de déploiement Windows) en machine virtuel.
Le plus ancien appelons le "un" qui fonctionne visiblement pas bien avec virtualbox 5.1 sous wheezy.
Le plus récent le "2" sous quel système et version de virtualbox ?
Non, il n'y a pas de souci, c'est un paquet fait par les equipes adaptes
a Wheezy.

si il n'y en avais pas nous n'en serions pas là (cf. le titre).
Je conseil encore de "déinstaller la 5.1 et de remettre la 4.1.42... "
à moins que le but soit absolument de passer à la 5.1.
Pour quelle raison?
Finalement, quel est le but de la manœuvre ?

Pas sur de tout comprendre mais en tous cas je ne peux pas me permettre
de passer en stable actuelle comme ca sur ce poste qui est celui de mon
travail et qui doit etre fonctionnel a tout moment avec mes parametres
bien precis, surtout avec le passage a Systemd et autres joyeusetes.
D'ou l'interet d'avoir un Virtualbox performant pour faire des tests
intensifs avant.

Je ne comprend pas tout non plus.
Une migration ça se prépare un minimum, surtout sur une machine en production.[1]
Malgré tout j'ai persisté à trouver une solution à ce problème et sur le forum de virtualbox
il y a plusieurs réponse comme [2], un changement du nom de répertoire dans /etc/init.d/virtualbox
[1] https://www.debian.org/releases/jessie/amd64/release-notes/ch-upgrading.fr.html
[2] https://forums.virtualbox.org/viewtopic.php?f=7&tR865&hilit=module+wheezy&sid-03025ea2191cda965d988572f79f53
--
Nicolas Pétillon
Publicité
Poster une réponse
Anonyme